# Bit Goblin Hardware Tests

Benchmarking suite used for testing hardware in Bit Goblin's videos.

## Download & Installation

Check out the [Releases page](https://git.metaunix.net/BitGoblin/hardware-tests/releases) to find the latest compiled binaries.

Currently there is no installation method other than downloading the provided release binaries. In the future I want to build Linux package repositories for this, and have a Windows installer.

## Running

Simply run the tool with `./bgbench` and you'll be presented with the available subcommands.

### Runtime requirements:
* `disk` - requires `fio`.
* `network bandwidth` - requires `iperf3`

## Building

The easiest way to build the program is using the official Rust image from Docker Hub, for which there's a wrapper script at `bin/docker-build.sh` that can be used to build the test program. These will be available under `target/debug/`. Else you can just run a `cargo build` to compile the program.

## License

The Bit Goblin hardware test suite is available via the BSD 2-Clause license, so feel free to hack away at it!
